#ifndef _console

#define _console


// Macros

# define isCompatible(x, type) _Generic(x, type: true, default: false)




#include "stdlib.h"

extern char * __ClassNames[];


// Includes

#include <stdarg.h>

#include <stdio.h>

#include <unistd.h>

#include <stdio.h>

#include <sys/ioctl.h>

#include <stdio.h>

#include <stdbool.h>

#include <classConfiguration.h>


typedef struct consoleManager{

	unsigned short __classIndex;


} consoleManager;

char * consoleManager_whiteSpace( consoleManager * this, int whiteSpaceCount );

void consoleManager_logObject( consoleManager * this, void * voidPointer,  int classIndex,  int level );

void consoleManager_log( consoleManager * this, int count, int datatypes[], ... );

void consoleManager_error( consoleManager * this, char * message );

void consoleManager_createHorisontalLine( consoleManager * this );

extern struct consoleManager * console; 

consoleManager consoleManager_new(  );

consoleManager * consoleManager_newPointer(  );

#endif
